require 5.005;
$NAME     = 'Search::OpenFTS::Parser';
$VERSION  = "0.37";

use ExtUtils::MakeMaker;

WriteMakefile(
        VERSION   => $VERSION,
        NAME      => $NAME,
        AUTHOR    => 'Teodor Sigaev <teodor@sigaev.ru>',

        INC	  =>'-I.',
	OBJECT	  =>'flexparser.o deflex.o Parser.o',
	depend	  => {
		'flexparser.o'=>'flexparser.c',
	},
	clean	  => { FILES=>'flexparser.c' },
       
);

sub MY::postamble{
'
LEX = flex -8 -Pfts_yy
flexparser.c : flexparser.l
	${LEX} -oflexparser.c flexparser.l
';
}
